=== modified file 'drizzled/authentication.cc'
--- drizzled/authentication.cc	2008-10-22 01:23:15 +0000
+++ drizzled/authentication.cc	2008-12-16 00:06:22 +0000
@@ -54,8 +54,10 @@
 {
   authentication_st *authen;
 
-  if ((authen= (authentication_st *)malloc(sizeof(authentication_st))) == 0)
-      return(1);
+  authen= new authentication_st;
+
+  if (authen == NULL)
+    return 1;
 
   memset(authen, 0, sizeof(authentication_st));
 
@@ -74,7 +76,7 @@
 
   return(0);
 err:
-  free(authen);
+  delete authen;
   return(1);
 }
 
@@ -86,7 +88,7 @@
   if (authen && plugin->plugin->deinit)
     plugin->plugin->deinit(authen);
 
-  free(authen);
+  delete authen;
 
   return(0);
 }

=== modified file 'drizzled/configvar.cc'
--- drizzled/configvar.cc	2008-12-06 19:42:46 +0000
+++ drizzled/configvar.cc	2008-12-16 00:06:22 +0000
@@ -25,7 +25,7 @@
 {
   configvar_t *p;
 
-  p= (configvar_t *) malloc(sizeof(configvar_t));
+  p= new configvar_t;
   if (p == NULL) return 1;
   memset(p, 0, sizeof(configvar_t));
 
@@ -45,7 +45,7 @@
   return 0;
 
 err:
-  free(p);
+  delete p;
   return 1;
 }
 
@@ -64,7 +64,7 @@
     }
   }
 
-  if (p) free(p);
+  if (p) delete p;
 
   return 0;
 }

=== modified file 'drizzled/errmsg.cc'
--- drizzled/errmsg.cc	2008-12-06 19:42:46 +0000
+++ drizzled/errmsg.cc	2008-12-16 00:06:22 +0000
@@ -27,7 +27,7 @@
 {
   errmsg_t *p;
 
-  p= (errmsg_t *) malloc(sizeof(errmsg_t));
+  p= new errmsg_t;
   if (p == NULL) return 1;
   memset(p, 0, sizeof(errmsg_t));
 
@@ -54,7 +54,7 @@
   return 0;
 
 err:
-  free(p);
+  delete p;
   return 1;
 }
 
@@ -77,7 +77,7 @@
     }
   }
 
-  if (p) free(p);
+  if (p) delete p;
 
   return 0;
 }

=== modified file 'drizzled/logging.cc'
--- drizzled/logging.cc	2008-12-06 19:42:46 +0000
+++ drizzled/logging.cc	2008-12-16 00:06:22 +0000
@@ -25,7 +25,7 @@
 {
   logging_t *p;
 
-  p= (logging_t *) malloc(sizeof(logging_t));
+  p= new logging_t;
   if (p == NULL) return 1;
   memset(p, 0, sizeof(logging_t));
 
@@ -45,7 +45,7 @@
   return 0;
 
 err:
-  free(p);
+  delete p;
   return 1;
 }
 
@@ -64,7 +64,7 @@
     }
   }
 
-  if (p) free(p);
+  if (p) delete p;
 
   return 0;
 }

=== modified file 'drizzled/qcache.cc'
--- drizzled/qcache.cc	2008-12-06 19:42:46 +0000
+++ drizzled/qcache.cc	2008-12-16 00:06:22 +0000
@@ -25,7 +25,7 @@
 {
   qcache_t *p;
 
-  p= (qcache_t *) malloc(sizeof(qcache_t));
+  p= new qcache_t;
   if (p == NULL) return 1;
   memset(p, 0, sizeof(qcache_t));
 
@@ -45,7 +45,7 @@
   return 0;
 
 err:
-  free(p);
+  delete p;
   return 1;
 }
 
@@ -64,7 +64,7 @@
     }
   }
 
-  if (p) free(p);
+  if (p) delete p;
 
   return 0;
 }

=== modified file 'drizzled/replicator.cc'
--- drizzled/replicator.cc	2008-12-09 05:50:07 +0000
+++ drizzled/replicator.cc	2008-12-16 00:06:22 +0000
@@ -26,7 +26,7 @@
 {
   replicator_t *p;
 
-  p= (replicator_t *) malloc(sizeof(replicator_t));
+  p= new replicator_t;
   if (p == NULL) return 1;
   memset(p, 0, sizeof(replicator_t));
 
@@ -46,7 +46,7 @@
   return 0;
 
  err:
-  free(p);
+  delete p;
   return 1;
 }
 
@@ -65,7 +65,7 @@
         }
     }
 
-  if (p) free(p);
+  if (p) delete p;
 
   return 0;
 }

